# Uses of Interface
org.eclipse.ui.texteditor.rulers.IColumnSupport

Packages that use IColumnSupport
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IColumnSupport in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IColumnSupport
Modifier and Type
Class
Description
`protected static class`
`AbstractTextEditor.ColumnSupport`
Implements the ruler column support of for the given editor.
Methods in org.eclipse.ui.texteditor that return IColumnSupport
Modifier and Type
Method
Description
`protected final IColumnSupport`
AbstractDecoratedTextEditor.`createColumnSupport()`
`protected IColumnSupport`
AbstractTextEditor.`createColumnSupport()`
Creates the column support to be used by this editor to manage the contributed ruler columns.